using System;
namespace Zad1
{     
    class Program
    {
        static int FindInd(string[] niz, int n, int l)
        {
            for (int i = 0; i < n; i++)
            {
                if (int.Parse(niz[i]) <= l)
                {
                    return i + 1;
                }               
            }
            return -1;
        }

        static void Main(string[] args)
        {
            int N;
            int L; 

            string UlazLinija = Console.ReadLine();
            string[] ArrUlazLinija = UlazLinija.Split(' ');

            N = Convert.ToInt32(ArrUlazLinija[0]);
            L = Convert.ToInt32(ArrUlazLinija[1]);

            //visine stalaktita
            UlazLinija = Console.ReadLine();
            ArrUlazLinija = UlazLinija.Split(' ');

            Console.WriteLine(FindInd(ArrUlazLinija, N, L));
             Console.ReadKey();
        }
    }
}